# Outward Tweaks

## Configuration
Use [Configuration Manager](https://github.com/BepInEx/BepInEx.ConfigurationManager) or [Mefino's fork](https://outward.thunderstore.io/package/Mefino/Outward_Config_Manager)
or edit file at BepInEx\config\com.dts.outwardtweaks.cfg


## Features

### 1. Different repair modes when resting:
#### Standard - repairs all items, equipped or not, at the same rate.  
#### Pool - all equipped items are repaired normally and any exceeding amount will be used to repair unequipped items. 
First all equipped are repaired as game normally does. Items are then repaired in this order:  
 - 'Extra repair equipped?' - enabled : Equipped -> Pouch -> Bag  
 - 'Extra repair equipped?' - disabled : Pouch -> Bag  

### 2. [WIP]Pin skills in Skill Tab
To use this feature you need to enable 'Pin skills?' in configuration. **Requires restart**.  
This feature allows you to pin skills to appear first on the skill list.  

Pinned skills are saved per character at *Outward\Outward_Defed\DTSOutwardTweaks\data_{character_uid}\pinnedSkills.dat*  
This file is automatically created when you first open skill tab.  
At the moment there is no UI to pin/unpin skills but you can edit this file.  
File Format:  
```
{SKILL_ID};{SKILL_ID}; ...{SKILL_ID}
```
You can find skill id on the [wiki](https://outward.fandom.com/wiki/Active_Skills) under Object ID or using [SideLoader](https://outward.thunderstore.io/package/sinai-dev/SideLoader/)  
Example File - Pin [Shatter Bullet](https://outward.fandom.com/wiki/Shatter_Bullet):
```
8200603
```

Example File - Pin [Shatter Bullet](https://outward.fandom.com/wiki/Shatter_Bullet), [Spark](https://outward.fandom.com/wiki/Spark):
```
8200603;8200040
```


Planned: 
 - UI: 
   + add Pin/Unpin option to skill 'context' menu
   + add border/star to pinned skill icon
 - reorder pinned skills

### 3. Keep sleep/drink/food when travelling between regions.  
### 4. Restore burnt health/stamina/mana when travelling between regions.  
### 5. Repair all items when travelling between regions.  
### 6. Added Savegame button in pause menu.


## Changelog
 - v0.7.0 - pin skills[wip], changed description
 - v0.6.7 - Save button, fixed readme
 - v0.6.6 - Fixed/changed repair pool mode, added new option.
